StaticPopupDialogs["PARTY_INVITE"] = {
	text = INVITATION,
	button1 = ACCEPT,
	button2 = DECLINE,
	sound = "igPlayerInvite",
	OnShow = function(self)
    
		self.inviteAccepted = nil;
        lfgwpopupframe = self:GetName() 
        
        local hasData, _, _, _, _, _, _, _, _, _, _, _, queuedTime = GetLFGQueueStats()
        
        if hasData == true then
           _G[self:GetName().."Text"]:SetText(format("%s You are currently queued in LFG since %d:%0.2d",_G[self:GetName().."Text"]:GetText(),(GetTime() - queuedTime) / 60,(GetTime() - queuedTime) % 60 )) 
        end

    end,
    
	OnAccept = function(self)
    
        local hasData, _, _, _, _, _, _, _, _, _, _, _, queuedTime = GetLFGQueueStats()

        if hasData == true then
            LFGWconfirmation:Show()
            LFGWconfirmation:SetPoint("CENTER",self,"CENTER",0,0)
            self:Show()
        else AcceptGroup()
        end
		self.inviteAccepted = 1;
	end,
    
	OnCancel = function(self)
		DeclineGroup();

	end,
    
	OnHide = function(self)
		if ( not self.inviteAccepted ) then
			DeclineGroup();
			self:Hide();
            LFGWconfirmation:Hide()
            
		end
	end,
    
	timeout = 60,
	whileDead = 1,
	hideOnEscape = 1
};
